Page MenuHomePhabricator

"bh" is not a valid language code
Closed, ResolvedPublic

Description

Spotted by Kelson: https://bh.wikipedia.org/w/api.php?action=query&meta=siteinfo&siprop=general bh.wiki uses language code "bh", which doesn't appear to be valid ISO 639 http://www-01.sil.org/iso639-3/codes.asp?order=639_3&letter=b and never was http://www-01.sil.org/iso639-3/codes_retired.asp .

Names.php has:

'bh' => 'भोजपुरी',   # Bihari macro language. Falls back to Bhojpuri (bho)
'bho' => 'भोजपुरी',  # Bhojpuri

http://www-01.sil.org/iso639-3/macrolanguages.asp doesn't confirm

The wiki is already listed at https://meta.wikimedia.org/wiki/Special_language_codes as needing rename, but for now let's use the proper code.

See also: T41968: Bhojpuri wikipedia should start with 'bho' instead of 'bh' to avoid confusion with Bihari, https://bugzilla.redhat.com/show_bug.cgi?id=677570

Event Timeline

Nemo_bis created this task.Mar 2 2015, 9:51 AM
Nemo_bis raised the priority of this task from to Needs Triage.
Nemo_bis updated the task description. (Show Details)
Nemo_bis added subscribers: Nemo_bis, Kelson.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 2 2015, 9:51 AM

Change 193801 had a related patch set uploaded (by Nemo bis):
Use language code "bho" directly instead of its alias "bh"

https://gerrit.wikimedia.org/r/193801

Change 193802 had a related patch set uploaded (by Nemo bis):
Remove invalid language code "bh" (alias of "bho")

https://gerrit.wikimedia.org/r/193802

Nemo_bis triaged this task as Medium priority.EditedMar 2 2015, 10:03 AM

The configuration change is the only one that matters. The MediaWiki core change might be disruptive in the unlikely case other "bh" wikis exist, so if we're unsure we might as well leave the status quo; but it's nicer if Names.php follows ISO 639, of course.

Change 193801 merged by jenkins-bot:
Use language code "bho" directly instead of its alias "bh"

https://gerrit.wikimedia.org/r/193801

demon closed this task as Resolved.Mar 2 2015, 8:12 PM
demon claimed this task.
demon reopened this task as Open.Mar 3 2015, 3:07 PM

Gah, closed the wrong task, sorry.

Ricordisamoa reassigned this task from demon to Nemo_bis.Mar 3 2015, 4:49 PM
Ricordisamoa added a subscriber: demon.

Change 193802 merged by jenkins-bot:
Remove invalid language code "bh" (alias of "bho")

https://gerrit.wikimedia.org/r/193802

Nemo_bis closed this task as Resolved.May 4 2015, 9:57 AM
Nemo_bis added a project: MW-1.26-release.
Nemo_bis set Security to None.
Nemo_bis updated the task description. (Show Details)May 15 2015, 12:59 PM

This caused issues with Wikidata: https://www.wikidata.org/wiki/Wikidata:Contact_the_development_team#Link_for_bh.wiki Please give us a heads-up for such changes in the future. Thanks.